unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, Grids,
  StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    ednp: TEdit;
    edvp: TEdit;
    strgr: TStringGrid;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
    ntar: array[0..2,0..15] of integer;
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

procedure TForm1.Button1Click(Sender: TObject);
var i,j:integer;
begin
  for i:=0 to 2
  do for j:=0 to 15
  do strgr.Cells[i,j]:=inttostr(ntar[i,j]);
end;

procedure TForm1.Button2Click(Sender: TObject);
var vp,i:integer;
begin
  vp:=strtoint(edvp.text);
  i:=0;
  while (i<15)
  and ((vp<ntar[1,i]) or (vp>ntar[2,i]))
  do i:=i+1;
  ednp.text:=inttostr(i);

end;

procedure TForm1.FormCreate(Sender: TObject);
var i:integer;
begin
  //Notenpunkte (links)
  for i:=0 to 15
  do ntar[0,i]:=i;
  //Mittelspalte
  for i:=0 to 15
  do case i of
  0: ntar[1,i]:=0;
  1..5:ntar[1,i]:=7+4*i;
  6..15:ntar[1,i]:=12+3*i;
  end;
  //Rechte Spalte
  for i:=0 to 15
  do case i of
  0..4: ntar[2,i]:=10+4*i;
  5..14:ntar[2,i]:=14+3*i;
  15:ntar[2,i]:=60;
  end;
end;

end.

