unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, Grids,
  StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    btAnz: TButton;
    bt2NP: TButton;
    Edit1: TEdit;
    StrGr: TStringGrid;
    procedure btAnzClick(Sender: TObject);
    procedure bt2NPClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
    Skala: array[0..15, 0..2] of Integer; // NP 0 bis 15; VP min; VP max
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
var i: Integer;
begin
  for i:=0 to 15 do Skala[i,0]:=i; // mit den NP füllen
  Skala[0,2]:=10; // bis 10VP 0NP
  Skala[0,1]:=0; // ab 0VP 0NP
  for i:=1 to 15 do begin
    case i of
         0..4: Skala[i,2]:=10 + 4 * i;
         5..14: Skala[i,2]:=14 + 3 * i;
         15: Skala[i,2]:=60;
    end;
    Skala[i,1]:=Skala[i-1,2]+1;
  end;
end;

procedure TForm1.btAnzClick(Sender: TObject);
var i,j: Integer;
begin
  for i:=0 to 2 do
      for j:= 0 to 15 do
          StrGr.Cells[i,j]:=IntToStr(Skala[j,i]);
end;

procedure TForm1.bt2NPClick(Sender: TObject);
var i: Integer;
  isD: Boolean;
begin
  isD:=false;
  i:=16;
  while not isD do begin
    i-=1;
    isD:=(StrToFloat(Edit1.Text) >= Skala[i,1]);
  end;
  showmessage(IntToStr(i));
end;

end.

