unit uFibonacci;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TfFibonacci }

  TfFibonacci = class(TForm)
    btLoad: TButton;
    btSave: TButton;
    btMov: TButton;
    btGo: TButton;
    btNew: TButton;
    ed1: TEdit;
    ed2: TEdit;
    lbFb: TListBox;
    odlg: TOpenDialog;
    sdlg: TSaveDialog;
    procedure btGoClick(Sender: TObject);
    procedure btLoadClick(Sender: TObject);
    procedure btMovClick(Sender: TObject);
    procedure btNewClick(Sender: TObject);
    procedure btSaveClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  fFibonacci: TfFibonacci;

implementation

{$R *.lfm}

{ TfFibonacci }

procedure TfFibonacci.btMovClick(Sender: TObject);
begin
  if ((ed1.Text<>'') and (ed2.Text<>'') and (lbFb.Count=0)) then begin
    lbFb.Items.Add(ed1.Text);
    lbFb.Items.Add(ed2.Text);
  end;
end;

procedure TfFibonacci.btNewClick(Sender: TObject);
begin
  lbFb.Clear;
end;

procedure TfFibonacci.btSaveClick(Sender: TObject);
begin
  if (sdlg.Execute and (lbfb.Count>=2)) then begin
    lbFb.Items.SaveToFile(sdlg.Filename);
  end;
end;

procedure TfFibonacci.btGoClick(Sender: TObject);
begin
  if (lbFb.count>=2) then begin
    lbFb.Items.Add(IntToStr(StrToInt(
      lbFb.Items[lbFb.count-2])+StrToInt(lbFb.Items[lbFb.count-1])));
  end;
end;

procedure TfFibonacci.btLoadClick(Sender: TObject);
begin
  if (odlg.Execute) then begin
    lbFb.Clear;
    lbFb.Items.LoadFromFile(odlg.Filename);
  end;
end;

end.

