unit uSelectionSort;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs;

const QNumbers = 10;

type

  { TFSelectionSort }

  TFSelectionSort = class(TForm)
    btSort: TButton;
    lbIn: TListBox;
    lbOut: TListBox;
    procedure btSortClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
    arN: array[1..QNumbers] of Integer;
    procedure swap(var a, b: Integer);
  public
    { public declarations }
  end;

var
  FSelectionSort: TFSelectionSort;

implementation

{$R *.lfm}

{ TFSelectionSort }

procedure TFSelectionSort.FormCreate(Sender: TObject);
var i: Integer;
begin
  randomize;
  for i := 1 to QNumbers do begin
    arN[i] := randomrange(0,$100000000);
    lbIn.Items.Add(IntToStr(arN[i]));
  end;

end;

procedure TFSelectionSort.btSortClick(Sender: TObject);
var iMin, iMax, i: Integer;
begin
  iMin := 0;
  iMax := 0;
  for i := 1 to High(arS) do begin
    if arS[i] > arS[iMax] then begin
      iMax := i;
    end else if arS[i] < arS[iMin] then begin
      iMin := i;
    end;
  end;
  swap
end;

procedure swap(var a, b: Integer);
var s: Integer;
begin
  s := a;
  a := b;
  b := s;
end;

end.

