unit uZufallsdateien;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Spin, Math;

type

  { TfZufallsdateien }

  TfZufallsdateien = class(TForm)
    btCreate: TButton;
    btLoad: TButton;
    lN: TLabel;
    lOut: TLabel;
    speN: TSpinEdit;
    procedure btCreateClick(Sender: TObject);
    procedure btLoadClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure speNChange(Sender: TObject);
  private
    { private declarations }
    arN: array of Cardinal;
  public
    { public declarations }
  end;

var
  fZufallsdateien: TfZufallsdateien;

implementation

{$R *.lfm}

{ TfZufallsdateien }

procedure TfZufallsdateien.btCreateClick(Sender: TObject);
var f: file of Cardinal;
    i: Cardinal;
begin
  assignfile(f, 'Zahlen');
  rewrite(f);
  for i:=1 to randomrange(1,$10)*$10 do begin
    write(f, randomrange(1,$1000000000));
  end;
  closefile(f);
  btLoad.Enabled:=true;
end;

procedure TfZufallsdateien.btLoadClick(Sender: TObject);
var f: file of Cardinal;
    i, s, n: Cardinal;
begin
  assignfile(f, 'Zahlen');
  reset(f);
  i:=0;
  s:=0;
  n:=0;
  while not eof(f) do begin
    read(f, n);
    s+=n;
    i+=1;
    setlength(arN, i);
    arN[High(arN)]:=n;
  end;
  speN.MaxValue:=i;
  closefile(f);
  lOut.Caption:='Durchschnitt von '+IntToStr(i)+' Zahlen ist '+FloatToStr(s/i)
   +'.';
end;

procedure TfZufallsdateien.FormCreate(Sender: TObject);
begin
  randomize;
end;

procedure TfZufallsdateien.speNChange(Sender: TObject);
begin
  lN.Caption:='Die Zahl #'+IntToStr(speN.Value)+' hat den Wert '+
    IntToStr(arN[speN.Value])+'.';
end;

end.

